Skip to main content
PATCH
/
projects
/
{project_id}
/
report_maps
/
{id}
Update a report map
curl --request PATCH \
  --url https://app.gomangrove.com/api/v1/projects/{project_id}/report_maps/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "report_map": {
    "external_reference": "<string>",
    "quantification_methodology": "<string>",
    "external_reference_metadata": {}
  }
}
'
import requests

url = "https://app.gomangrove.com/api/v1/projects/{project_id}/report_maps/{id}"

payload = { "report_map": {
"external_reference": "<string>",
"quantification_methodology": "<string>",
"external_reference_metadata": {}
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
report_map: {
external_reference: '<string>',
quantification_methodology: '<string>',
external_reference_metadata: {}
}
})
};

fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/report_maps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "rmp_abc123def456",
  "project_id": "prj_xyz789",
  "external_reference": "updated-ref",
  "external_reference_metadata": {},
  "quantification_methodology": {
    "name": "Biomass Geological Storage"
  },
  "created_at": "2026-01-15T10:00:00.000Z",
  "updated_at": "2026-01-15T11:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required
id
string
required

Body

application/json
report_map
object

Response

200 - application/json

200